Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.stream
Class ElementFactory

    java.lang.Object
      |
      +--weblogic.xml.stream.ElementFactory

public class ElementFactory
extends java.lang.Object

Defines a utility to create the interfaces in the stream package

Version:
  1.0
See Also:
  `XMLName`, `AttributeIterator`, `StartElement`, `EndElement`, `ProcessingInstruction`, `Comment`, `Space`, `CharacterData`, `StartDocument`, `EndDocument`

Constructor Summary
`ElementFactory()`

Method Summary
`static Attribute` | `createAttribute(java.lang.String localName, java.lang.String value)`
`static Attribute` | `createAttribute(java.lang.String namespaceUri, java.lang.String localName, java.lang.String value)`
`static Attribute` | `createAttribute(XMLName name, java.lang.String value)`
`static Attribute` | `createAttribute(XMLName name, java.lang.String value, java.lang.String type)`
`static AttributeIterator` | `createAttributeIterator(java.util.Iterator iterator)`
`static CharacterData` | `createCharacterData(java.lang.String content)`
`static Comment` | `createComment(java.lang.String content)`
`static EndDocument` | `createEndDocument()`
`static EndElement` | `createEndElement(java.lang.String localName)`
`static EndElement` | `createEndElement(java.lang.String namespaceUri, java.lang.String localName)`
`static EndElement` | `createEndElement(java.lang.String namespaceUri, java.lang.String localName, java.lang.String prefix)`
`static EndElement` | `createEndElement(XMLName name)`
`static Attribute` | `createNamespaceAttribute(java.lang.String prefix, java.lang.String namespaceUri)`
`static ProcessingInstruction` | `createProcessingInstruction(XMLName name, java.lang.String content)`
`static Space` | `createSpace(java.lang.String content)`
`static StartDocument` | `createStartDocument()`
`static StartDocument` | `createStartDocument(java.lang.String encoding)`
`static StartDocument` | `createStartDocument(java.lang.String encoding, java.lang.String version)`
`static StartDocument` | `createStartDocument(java.lang.String encoding, java.lang.String version, java.lang.String standalone)`
`static StartElement` | `createStartElement(java.lang.String localName)`
`static StartElement` | `createStartElement(java.lang.String namespaceUri, java.lang.String localName)`
`static StartElement` | `createStartElement(java.lang.String namespaceUri, java.lang.String localName, java.lang.String prefix)`
`static StartElement` | `createStartElement(XMLName name)`
`static StartElement` | `createStartElement(XMLName name, AttributeIterator attributes)`
`static StartElement` | `createStartElement(XMLName name, AttributeIterator attributes, AttributeIterator namespaces)`
`static XMLName` | `createXMLName(java.lang.String localName)`
`static XMLName` | `createXMLName(java.lang.String namespaceUri, java.lang.String localName)`
`static XMLName` | `createXMLName(java.lang.String namespaceUri, java.lang.String localName, java.lang.String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementFactory

    public ElementFactory()

Method Detail

### createXMLName

    public static XMLName createXMLName(java.lang.String localName)

### createXMLName

    public static XMLName createXMLName(java.lang.String namespaceUri,
                                        java.lang.String localName)

### createXMLName

    public static XMLName createXMLName(java.lang.String namespaceUri,
                                        java.lang.String localName,
                                        java.lang.String prefix)

### createAttribute

    public static Attribute createAttribute(java.lang.String localName,
                                            java.lang.String value)

### createAttribute

    public static Attribute createAttribute(java.lang.String namespaceUri,
                                            java.lang.String localName,
                                            java.lang.String value)

### createAttribute

    public static Attribute createAttribute(XMLName name,
                                            java.lang.String value,
                                            java.lang.String type)

### createAttribute

    public static Attribute createAttribute(XMLName name,
                                            java.lang.String value)

### createNamespaceAttribute

    public static Attribute createNamespaceAttribute(java.lang.String prefix,
                                                     java.lang.String namespaceUri)

### createStartElement

    public static StartElement createStartElement(java.lang.String namespaceUri,
                                                  java.lang.String localName,
                                                  java.lang.String prefix)

### createStartElement

    public static StartElement createStartElement(java.lang.String namespaceUri,
                                                  java.lang.String localName)

### createStartElement

    public static StartElement createStartElement(java.lang.String localName)

### createStartElement

    public static StartElement createStartElement(XMLName name)

### createStartElement

    public static StartElement createStartElement(XMLName name,
                                                  AttributeIterator attributes)

### createStartElement

    public static StartElement createStartElement(XMLName name,
                                                  AttributeIterator attributes,
                                                  AttributeIterator namespaces)

### createEndElement

    public static EndElement createEndElement(XMLName name)

### createEndElement

    public static EndElement createEndElement(java.lang.String namespaceUri,
                                              java.lang.String localName,
                                              java.lang.String prefix)

### createEndElement

    public static EndElement createEndElement(java.lang.String namespaceUri,
                                              java.lang.String localName)

### createEndElement

    public static EndElement createEndElement(java.lang.String localName)

### createCharacterData

    public static CharacterData createCharacterData(java.lang.String content)

### createProcessingInstruction

    public static ProcessingInstruction createProcessingInstruction(XMLName name,
                                                                    java.lang.String content)

### createSpace

    public static Space createSpace(java.lang.String content)

### createComment

    public static Comment createComment(java.lang.String content)

### createStartDocument

    public static StartDocument createStartDocument()

### createStartDocument

    public static StartDocument createStartDocument(java.lang.String encoding,
                                                    java.lang.String version,
                                                    java.lang.String standalone)

### createStartDocument

    public static StartDocument createStartDocument(java.lang.String encoding,
                                                    java.lang.String version)

### createStartDocument

    public static StartDocument createStartDocument(java.lang.String encoding)

### createEndDocument

    public static EndDocument createEndDocument()

### createAttributeIterator

    public static AttributeIterator createAttributeIterator(java.util.Iterator iterator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference